cURL
curl --request GET \
--url 'https://api.edgeful.com/v1/settings' \
--header 'Authorization: Bearer <api-key>'import requests
url = "https://api.edgeful.com/v1/settings"
headers = {"Authorization": "Bearer <api-key>"}
response = requests.get(url, headers=headers)
print(response.json())const url = "https://api.edgeful.com/v1/settings";
const options = {
method: "GET",
headers: { Authorization: "Bearer <api-key>" },
};
const response = await fetch(url, options);
const data = await response.json();
console.log(data);<?php
$ch = curl_init("https://api.edgeful.com/v1/settings");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer <api-key>"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response;package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.edgeful.com/v1/settings", nil)
req.Header.Set("Authorization", "Bearer <api-key>")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.edgeful.com/v1/settings"))
.header("Authorization", "Bearer <api-key>")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());require "net/http"
require "uri"
uri = URI("https://api.edgeful.com/v1/settings")
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <api-key>"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
http.request(request)
end
puts response.body{
"writes_enabled": true,
"defaults": {
"market": "<string>",
"ticker": "<string>",
"session": "<string>",
"date_range": "<string>",
"report": "<string>",
"url": "<string>"
},
"custom_sessions": [
{
"id": "<string>",
"name": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"timezone": "<string>",
"excludedDataTypes": [
"<string>"
]
}
],
"bookmarks": {
"stock": [
{
"report": "<string>",
"sub_report": "<string>",
"name": "<string>",
"markets": [
"<string>"
],
"url": "<string>"
}
],
"session": [
{
"report": "<string>",
"sub_report": "<string>",
"name": "<string>",
"markets": [
"<string>"
],
"url": "<string>"
}
]
},
"watchlists": {},
"customized_setting_keys": [
"<string>"
],
"templates": [
{
"id": 123,
"type": "<string>",
"name": "<string>",
"parent_report": "<string>",
"sub_report": "<string>"
}
]
}{
"detail": {
"detail": "No active subscription with API access found.",
"code": "missing_entitlement"
}
}settings
account settings
read your Edgeful account settings: whether this key may write, your defaults, custom sessions, bookmarks resolved to report pages, watchlists per market, the setting keys you customized and an index of your templates. works with writes off.
GET
/
v1
/
settings
cURL
curl --request GET \
--url 'https://api.edgeful.com/v1/settings' \
--header 'Authorization: Bearer <api-key>'import requests
url = "https://api.edgeful.com/v1/settings"
headers = {"Authorization": "Bearer <api-key>"}
response = requests.get(url, headers=headers)
print(response.json())const url = "https://api.edgeful.com/v1/settings";
const options = {
method: "GET",
headers: { Authorization: "Bearer <api-key>" },
};
const response = await fetch(url, options);
const data = await response.json();
console.log(data);<?php
$ch = curl_init("https://api.edgeful.com/v1/settings");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, ["Authorization: Bearer <api-key>"]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response;package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.edgeful.com/v1/settings", nil)
req.Header.Set("Authorization", "Bearer <api-key>")
resp, _ := http.DefaultClient.Do(req)
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create("https://api.edgeful.com/v1/settings"))
.header("Authorization", "Bearer <api-key>")
.method("GET", HttpRequest.BodyPublishers.noBody())
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());require "net/http"
require "uri"
uri = URI("https://api.edgeful.com/v1/settings")
request = Net::HTTP::Get.new(uri)
request["Authorization"] = "Bearer <api-key>"
response = Net::HTTP.start(uri.hostname, uri.port, use_ssl: uri.scheme == "https") do |http|
http.request(request)
end
puts response.body{
"writes_enabled": true,
"defaults": {
"market": "<string>",
"ticker": "<string>",
"session": "<string>",
"date_range": "<string>",
"report": "<string>",
"url": "<string>"
},
"custom_sessions": [
{
"id": "<string>",
"name": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"timezone": "<string>",
"excludedDataTypes": [
"<string>"
]
}
],
"bookmarks": {
"stock": [
{
"report": "<string>",
"sub_report": "<string>",
"name": "<string>",
"markets": [
"<string>"
],
"url": "<string>"
}
],
"session": [
{
"report": "<string>",
"sub_report": "<string>",
"name": "<string>",
"markets": [
"<string>"
],
"url": "<string>"
}
]
},
"watchlists": {},
"customized_setting_keys": [
"<string>"
],
"templates": [
{
"id": 123,
"type": "<string>",
"name": "<string>",
"parent_report": "<string>",
"sub_report": "<string>"
}
]
}{
"detail": {
"detail": "No active subscription with API access found.",
"code": "missing_entitlement"
}
}Authorizations
Send your Edgeful API key in the Authorization header as Bearer <api-key> (for example, Bearer ef_live_<random>).
Response
Successful Response
whether this credential may write.
account defaults.
Show child attributes
Show child attributes
the member's custom sessions.
Show child attributes
Show child attributes
bookmarks resolved to report pages.
Show child attributes
Show child attributes
tickers per market.
Show child attributes
Show child attributes
setting keys the member has customized.
index of the member's templates.
Show child attributes
Show child attributes
Was this page helpful?